version: '3.8'
services:
  prometheus:
    image: prom/prometheus:latest
    volumes:
      - ./prometheus.yml:/etc/prometheus/prometheus.yml:ro
    ports:
      - "9090:9090"
    networks:
      - snake_net
    restart: unless-stopped

  grafana:
    image: grafana/grafana:latest
    user: "472"
    volumes:
      - ./grafana/provisioning:/etc/grafana/provisioning:ro
      - grafana_data:/var/lib/grafana
    environment:
      GF_SECURITY_ADMIN_PASSWORD: "admin"
    ports:
      - "3000:3000"
    networks:
      - snake_net
    restart: unless-stopped

volumes:
  grafana_data:

networks:
  snake_net:
    external: true
